Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezmessage/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php,v 1.2 2001/07/20 11:19:36 jakobn Exp $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28
29 switch( $url_array[2] )
30 {
31 case "view" :
32 {
33 $MessageID = $url_array[3];
34 include( "kernel/ezmessage/user/messageview.php" );
35 }
36 break;
37
38 case "list" :
39 {
40 include( "kernel/ezmessage/user/messagelist.php" );
41 }
42 break;
43
44 case "edit" :
45 {
46 include( "kernel/ezmessage/user/messageedit.php" );
47 }
48 break;
49
50 case "popup" :
51 {
52 include( "kernel/ezmessage/user/reciverpopup.php" );
53 }
54 break;
55
56 case "send" :
57 {
58 include( "kernel/ezmessage/user/messagesend.php" );
59 }
60 break;
61
62 default :
63 {
64 eZHTTPTool::header( "Location: /error/404" );
65 exit();
66 }
67 break;
68 }
69
70 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.